(function($){
  	$.fn.SimpleGallery = function(settings){

		var 	settings = $.extend({
			delay: 3000,
			active : 0
		}, settings);
		
		function _view($item){
			settings.active++;
			$('#SimpleGallery').find('div').html('<img src="' + $item.find('a').attr('href') + '" /><br />' + $item.find('a').attr('title'));
		}
		
		function _play(){
			if(settings.active == $('#SimpleGallery').find('li').length){ settings.active = 0; }
			_view($('#SimpleGallery').find('li').eq(settings.active));
		}
		
		return this.each(function (){
			_play();
			var _interval = setInterval(_play, settings.delay);
			$(this).find('li').mouseover(function(){
				if(_interval){
					clearInterval(_interval);
				}
				_interval = setInterval(_play, settings.delay);
				settings.active = $(this).index();
				_view($(this));
			}).find('a').click(function(){return false;});
		});
  	}
})(jQuery);